Subject: bug#23425: master branch: `message' wrongly corrupts ' to curly quote.

From: Dmitry Gutov <[email-masked]>
Date: Sat, 3 Jun 2017 00:15:49 +0300

On 6/3/17 12:02 AM, Alan Mackenzie wrote:

> I propose restoring the default to what it was in Emacs 24.  For
> simplicity's sake, only % should be special, and for translating quotes
> we could introduce %' and %`, such that quote translation happens only
> when a %' or %` is present.

I recall proposing something to that effect back in one of the original 
discussions. E.g. GCC does that with its message function.